com.io7m.smfj.processing.api

## Class SMFProcessingError.Builder

- java.lang.Object
- - com.io7m.smfj.processing.api.SMFProcessingError.Builder

- Enclosing class:
    SMFProcessingError

      public static final class SMFProcessingError.Builder
      extends Object

  Builds instances of type `SMFProcessingError`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFProcessingError` | `build()` Builds a new `SMFProcessingError`.
    `SMFProcessingError.Builder` | `from(SMFErrorType instance)` Fill a builder with attribute values from the provided `com.io7m.smfj.core.SMFErrorType` instance.
    `SMFProcessingError.Builder` | `from(SMFProcessingErrorType instance)` Fill a builder with attribute values from the provided `com.io7m.smfj.processing.api.SMFProcessingErrorType` instance.
    `SMFProcessingError.Builder` | `setException(Exception exception)` Initializes the optional value `exception` to exception.
    `SMFProcessingError.Builder` | `setException(Optional<? extends Exception> exception)` Initializes the optional value `exception` to exception.
    `SMFProcessingError.Builder` | `setMessage(String message)` Initializes the value for the `message` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFProcessingError.Builder from(SMFErrorType instance)

      Fill a builder with attribute values from the provided `com.io7m.smfj.core.SMFErrorType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final SMFProcessingError.Builder from(SMFProcessingErrorType instance)

      Fill a builder with attribute values from the provided `com.io7m.smfj.processing.api.SMFProcessingErrorType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setMessage

          public final SMFProcessingError.Builder setMessage(String message)

      Initializes the value for the `message` attribute.
      Parameters:
        `message` - The value for message
      Returns:
        `this` builder for use in a chained invocation

    - #### setException

          public final SMFProcessingError.Builder setException(Exception exception)

      Initializes the optional value `exception` to exception.
      Parameters:
        `exception` - The value for exception
      Returns:
        `this` builder for chained invocation

    - #### setException

          public final SMFProcessingError.Builder setException(Optional<? extends Exception> exception)

      Initializes the optional value `exception` to exception.
      Parameters:
        `exception` - The value for exception
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFProcessingError build()

      Builds a new `SMFProcessingError`.
      Returns:
        An immutable instance of SMFProcessingError
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com